Bug 433779 - sg_get_config - unrecognised option code 0x31
sg_get_config - unrecognised option code 0x31
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sg3_utils (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 08:19 EST by Milos Malik
Modified: 2009-09-02 07:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-02-21 08:19:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
Command line parameters "-b" and "--brief" are equivalent according to sg_get_config man page, but sg_get_config produces different outputs when executed on the same machine under the same user with the same device.

Please compare outputs of these commands:

sg_get_config -b /dev/sda
sg_get_config --brief /dev/sda

Assumption: error in getopt_long() usage or in the array which is used by getopt_long()

Version-Release number of selected component (if applicable):
sg3_utils-1.25-1

How reproducible:
Always


Steps to Reproduce:
1. sg_get_config --brief /dev/sda
2. look at first line of the output

Actual Results:
unrecognised option code 0x31 ??

Usage message follows...

Expected Results:
No message about unrecognized option. No usage message.

Additional info:
Comment 1 Phil Knirsch 2008-04-16 11:28:55 EDT
Should be easy to fix, granting Devel ACK for RHEL-5.3.

Read ya, Phil
Comment 2 RHEL Product and Program Management 2008-07-21 19:06:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2009-09-02 07:23:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1357.html

Note You need to log in before you can comment on or make changes to this bug.